'use strict'


Direction = require '../model/Direction'
Entity = require '../model/Entity'
EntityPosition = require '../model/EntityPosition'
Position = require '../model/Position'

MapView = require '../view/MapView'


class MapContext
        constructor: (@map) ->
                @entities = {}

                @playerEntity = new EntityPosition(
                        new Entity('square'),
                        new Position(8, 8),
                        Direction.EAST)

                @addEntity(@playerEntity)

                @mavView = new MapView @map, @entities

        addEntity: (entity) =>
                @entities[entity.position.asString()] = entity


module.exports = MapContext
